package com.gct.tools.etlcamelhuge;

import com.gct.tools.etlcamelhuge.routeconfig.CamelJDBCConfiguration;
import lombok.Data;
import org.junit.jupiter.api.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import javax.sql.DataSource;
import java.lang.reflect.Array;
import java.lang.reflect.InvocationTargetException;
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Map;

@RunWith(SpringRunner.class)
@SpringBootTest
class EtlCamelHugeApplicationTests {

    @Resource(name = "oracle")
    DataSource oracle;

    @Test
    public void testOracle(){
        JdbcTemplate template = new JdbcTemplate(oracle);
        String sql = String.format("select WELL_ID,well_common_name,org_id from " +
                "zy_dxgw.pc_dev_well_attr_info where well_purpose_name='采油井'");
        List<Map<String, Object>> maps = template.queryForList(sql);
        maps.get(0).forEach((k,v)->{
            System.out.printf("k: %s, v: %s\n",k,v);
        });
    }

}
